=== debian/changelog ===
fsl-mm-codeclib (1.9.8+repack-2charlotte3) lucid; urgency=low

  * remove WMV, WMA, ASF codec libs
  * (LP: #809960)

 -- Taiten Peng <taiten.peng@canonical.com>  Fri, 29 Jul 2011 18:52:04 +0800

fsl-mm-codeclib (1.9.8+repack-2charlotte2) lucid; urgency=low

  * Repack to get WMV codecs

 -- Alex Chiang <achiang@canonical.com>  Mon, 25 Apr 2011 20:55:19 -0600

fsl-mm-codeclib (1.9.8-2charlotte1) lucid; urgency=low

  * New upstream release

 -- Alex Chiang <achiang@canonical.com>  Mon, 25 Apr 2011 15:30:16 -0600

fsl-mm-codeclib (1.9.8-2) unstable; urgency=low
  * Update avi parser to 3.2.0
  * Update ogg parser to 1.5.0
  * Update MPEG2 parser to 3.50.05
  * Update MPEG4 parser to 6.04.01

 -- Multimedia Team <shmmmw@freescale.com>  Thu, 03 Mar 2011 00:00:00 +0800

fsl-mm-codeclib (1.9.8-1) unstable; urgency=low

  * Update MPEG4 parser to 6.04.00
  * Update MPEG2 parser to 3.50.04

 -- Multimedia Team <shmmmw@freescale.com>  Fri, 23 Feb 2011 00:00:00 +0800

fsl-mm-codeclib (1.9.7-1) unstable; urgency=low

  * Update MPEG2 parser to 3.50.02

 -- Multimedia Team <shmmmw@freescale.com>  Fri, 31 Dec 2010 00:00:00 +0800

fsl-mm-codeclib (1.9.6-1) unstable; urgency=low

  * Update to 1.9.6

 -- Multimedia Team <shmmmw@freescale.com>  Fri, 3 Dec 2010 00:00:00 +0800

fsl-mm-codeclib (1.9.5-1) unstable; urgency=low

  * Update to 1.9.5

 -- Multimedia Team <shmmmw@freescale.com>  Fri, 26 Nov 2010 00:00:00 +0800

fsl-mm-codeclib (1.9.4-2) unstable; urgency=low

  * Update mpg2 parser to 3.43.00.
  * Update flv parser to 1.03.00.
  * Update mp4 parser to 6.3.12 (improve robustness)

 -- Multimedia Team <shmmmw@freescale.com>  Thu, 22 Oct 2010 00:00:00 +0800

fsl-mm-codeclib (1.9.4-1) unstable; urgency=low

  * Update version to 1.9.4.
  * Update mpg2 parser to 3.41.00.

 -- Multimedia Team <shmmmw@freescale.com>  Thu, 30 Sep 2010 00:00:00 +0800

fsl-mm-codeclib (1.9.3-3) unstable; urgency=low

  * Update Ogg parser to 1.02.00.
  * Update mp4 parser to 06.03.11

 -- Multimedia Team <shmmmw@freescale.com>  Fri, 17 Sep 2010 00:00:00 +0800

fsl-mm-codeclib (1.9.3-2) unstable; urgency=low

  * Update VPU firmware to 1.4.14.

 -- Multimedia Team <shmmmw@freescale.com>  Fri, 10 Sep 2010 00:00:00 +0800

fsl-mm-codeclib (1.9.3-1) unstable; urgency=low

  * Change version to 1.9.3.
  * Update mp3 decoder to 02.07.00
  * Update mp4 parser to 06.03.07

 -- Multimedia Team <shmmmw@freescale.com>  Fri, 3 Sep 2010 00:00:00 +0800

fsl-mm-codeclib (1.9.2-2) unstable; urgency=low


  * Degrade  mp4 parser to 06.03.07

 -- Multimedia Team <shmmmw@freescale.com>  Fri, 20 Aug 2010 00:00:00 +0800

fsl-mm-codeclib (1.9.2-1) unstable; urgency=low

  * Update version to 1.9.2

 -- Multimedia Team <shmmmw@freescale.com>  Fri, 13 Aug 2010 00:00:00 +0800

fsl-mm-codeclib (1.9.1-1) unstable; urgency=low

  * Update to 1.9.1

 -- Multimedia Team <shmmmw@freescale.com>  Fri, 6 Aug 2010 00:00:00 +0800

fsl-mm-codeclib (1.9.0-2) unstable; urgency=low

  * Update the WMV and WMA decoder.

 -- Multimedia Team <shmmmw@freescale.com>  Fri, 23 July 2010 00:00:00 +0800

fsl-mm-codeclib (1.9.0-1) unstable; urgency=low

  * MP4: update to version 6.3.5.
  * Add MKV 1.0.0 version.
  * Add ID3 and WAV parser.

 -- Multimedia Team <shmmmw@freescale.com>  Fri, 16 July 2010 00:00:00 +0800

fsl-mm-codeclib (1.8.1-4) unstable; urgency=low

  * MP4: update to version 6.0.4 (opdate buffer/sample allocate algorithm).
  * MPG2: update to version 3.2.0 (optimize seek flow, fix re-timestamp algorithm).

 -- Multimedia Team <shmmmw@freescale.com>  Fri, 9 July 2010 00:00:00 +0800

fsl-mm-codeclib (1.8.1-3) unstable; urgency=low

  * Add flv and ogg core parser.

 -- Sario HU <b01138@freescale.com>  Tue, 22 Jun 2010 12:24:03 +0800

fsl-mm-codeclib (1.8.1-2) unstable; urgency=low

  * Add unified parser cores.

 -- Sario HU <b01138@freescale.com>  Mon, 7 Jun 2010 12:24:03 +0800

fsl-mm-codeclib (1.8.1-1) unstable; urgency=low

  * Update.

 -- Sario HU <b01138@freescale.com>  Fri, 4 Jun 2010 12:24:03 +0800

fsl-mm-codeclib (1.8.0-1) unstable; urgency=low

  * Update documents.

 -- Dexter JI <b01140@freescale.com>  Tues, 20 May 2010 20:24:03 +0800

fsl-mm-codeclib (1.7.3-8) unstable; urgency=low

  * Update documents.
  * Update the ASF parser to support meta-data output.
  * Fix the ASF parser with WMA std L2 level clips.

 -- Sario Hu <b01138@freescale.com>  Fri, 23 Apr 2010 16:24:03 +0800

fsl-mm-codeclib (1.7.3-7) unstable; urgency=low

  * Update documents.

 -- Sario Hu <b01138@freescale.com>  Fri, 16 Apr 2010 12:24:03 +0800

fsl-mm-codeclib (1.7.3-6) unstable; urgency=low

  * Update Vorbis decoder to 2.02
  * Update WMA10 decoder to 3.03

 -- Lyon Wang <b12696@freescale.com>  Fri, 2 Apr 2010 20:24:03 +0800

fsl-mm-codeclib (1.7.3-5) unstable; urgency=low

  * Update asf core parser to version: 0.2.6

 -- Dexter JI <b01140@freescale.com>  Fri, 26 Mar 2010 20:24:03 +0800

fsl-mm-codeclib (1.7.3-2) unstable; urgency=low

  * Update asf core parser to version: 0.2.4

 -- Sario Hu <b01138@freescale.com>  Fri, 19 Mar 2010 20:24:03 +0800

fsl-mm-codeclib (1.7.3-1) unstable; urgency=low

  * Update mp4 core parser to version: v6.1.8

 -- Sario Hu <b01138@freescale.com>  Fri, 5 Mar 2010 20:24:03 +0800

fsl-mm-codeclib (1.7.2-2) unstable; urgency=low

  * Update mp4 core parser to version: v6.1.3

 -- Tim Tian <b04280@freescale.com>  Thu, 28 Jan 2010 11:25:00 +0800

fsl-mm-codeclib (1.7.2-1) unstable; urgency=low

  * Update version to 1.7.2.

 -- Sario Hu <b01138@freescale.com>  Fri, 15 Jan 2010 20:24:03 +0800

fsl-mm-codeclib (1.7.1-5) unstable; urgency=low

  * Update avi core parser to version: v2.4.6

 -- Tim Tian <b04280@freescale.com>  Thu, 24 Dec 2009 11:25:00 +0800

fsl-mm-codeclib (1.7.1-4) unstable; urgency=low

  * Update flac decoder to v2.1.0

 -- Sario Hu <b01138@freescale.com>  Fri, 18 Dec 2009 16:38:03 +0800

fsl-mm-codeclib (1.7.1-3) unstable; urgency=low

  * Add codec-protect speech codec.
  * Add sw/hw optimized jpeg decoder.


