=== debian/control ===
Source: fsl-mm-codeclib
Priority: extra
Maintainer: Sario Hu <b01138@freescale.com>
Build-Depends: debhelper (>= 7), cdbs
Standards-Version: 3.8.0
Section: libs
Homepage: http://www.freescale.com

Package: libfsl-mm-core1
Section: libs
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Freescale Multimedia Core libraries.
 Freescale Multimedia Core libraries.

Package: libfsl-mm-core-dev
Section: libdevel
Architecture: armel
Depends: libfsl-mm-core1 (= ${binary:Version})
Description: Freescale Multimedia Core libraries for development.
 Freescale Multimedia Core libraries for development.
