=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
include /usr/share/cdbs/1/rules/simple-patchsys.mk


# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)

	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs
	install etc/asound.conf debian/libfsl-mm-core1/usr/lib/
	cp -rf release/lib/*.so debian/libfsl-mm-core1/usr/lib/
	cp -rf release/exe/test* debian/libfsl-mm-core1/usr/bin/
	rm -rf debian/libfsl-mm-core1/usr/bin/test_aac_dec_arm9_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_aac_dec_arm11_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_aacplus_dec_arm9_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_bmp_dec_arm9_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_deinterlace_arm9_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_g.*arm11_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_mp3_dec_arm9_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_mp3_dec_arm11_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_mp3_enc_arm9_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_mp3_enc_arm11_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_nb_amr*arm11_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_png_dec_arm9_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_sbc_enc_arm9_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_wb_amr_*_arm1*_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_wma10_dec_arm9_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_wma10_dec_arm11_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_gif_dec_arm9_elinux
	rm -rf debian/libfsl-mm-core1/usr/bin/test_jpeg_*arm9_elinux
	
	
	cp -rf ghdr debian/libfsl-mm-core-dev/usr/include/mm_ghdr
	cp pkgconfig/*.pc debian/libfsl-mm-core-dev/usr/lib/pkgconfig
	# Add here commands to install the package into debian/tmp
	#$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
